#property indicator_chart_window

extern int    DisplayXPos             = 150;
extern int    DisplayYPos             = 20;
extern string DisplayID               = "comment";
extern string DisplayText             = "Volatility";
extern color  DisplayColorNormal      = clrGray;
extern color  DisplayColorAboveLevel  = clrLimeGreen;
extern int    DisplayFontSize         = 15;
extern double DisplayLevel            = 5;
extern bool   DisplayAutoCenter       = true;
extern bool   alertsOn                = false;
extern bool   alertsOnCurrent         = true;
extern bool   alertsMessage           = true;
extern bool   alertsSound             = false;
extern bool   alertsEmail             = false;


#include <ChartObjects\ChartObjectsTxtControls.mqh> 
CChartObjectLabel  label;

//
//
//
//
//

int init()   {                 return(0); }
int deinit() { label.Delete(); return(0); }
int start()
{
   double pips = iATR(NULL,0,1,0)/(_Point*MathPow(10,MathMod(_Digits,2)));
   
   if (label.Name()!= DisplayID)
       label.Create(0,DisplayID,0,DisplayXPos,DisplayYPos);
       label.Description(DisplayText+" "+(string)pips+" pips");
       label.FontSize(DisplayFontSize); 
       label.Font("Arial bold"); 
       if (DisplayLevel>pips)
               { label.Color(DisplayColorNormal); }
       else    { label.Color(DisplayColorAboveLevel); if (alertsOn) doAlert(DisplayText+" exceeded "+(string)DisplayLevel+" pips"); }
       if (DisplayAutoCenter)
       {
            label.X_Distance(ChartGetInteger(0,CHART_WIDTH_IN_PIXELS)/2); label.Anchor(ANCHOR_CENTER); 
       }         
       
   return(0);
}

//+--------------------------------------------------------------------------------------+
//|                                                                                      |
//+--------------------------------------------------------------------------------------+
//
//
//
//
//

void doAlert(string doWhat)
{
   static string   previousAlert="nothing";
   static datetime previousTime;
   string message;
   
      if (previousAlert != doWhat || previousTime != Time[0]) {
          previousAlert  = doWhat;
          previousTime   = Time[0];

          //
          //
          //
          //
          //

          message = _Symbol+" at "+TimeToStr(TimeLocal(),TIME_SECONDS)+doWhat;
             if (alertsMessage) Alert(message);
             if (alertsEmail)   SendMail(_Symbol+DisplayText,message);
             if (alertsSound)   PlaySound("alert2.wav");
      }
}